use crate::prelude::*;
use anyhow::Result;

pub struct FreeCameraControl {}

impl Default for FreeCameraControl {
    fn default() -> Self {
        Self {}
    }
}

impl FreeCameraControl {
    pub fn roll(&mut self, view: &View) -> Result<()> {
        Ok(())
    }

    pub fn pitch(&mut self, view: &View) -> Result<()> {
        Ok(())
    }

    pub fn yaw(&mut self, view: &View) -> Result<()> {
        Ok(())
    }

    pub fn forward_back(&mut self, view: &View) -> Result<()> {
        Ok(())
    }

    pub fn left_right(&mut self, view: &View) -> Result<()> {
        Ok(())
    }

    pub fn up_down(&mut self, view: &View) -> Result<()> {
        Ok(())
    }
}
